# Class CIM_FromDirectorySpecification

The FromDirectorySpecification association identifies the source directory for a FileAction. When this association is used, the assumption is that the source directory already exists. This association cannot co-exist with a FromDirectoryAction association, since a FileAction can only involve a single source directory.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_FromDirectorySpecification

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | The FromDirectorySpecification association identifies the source directory for a FileAction. When this association is used, the assumption is that the source directory already exists. This association cannot co-exist with a FromDirectoryAction association, since a FileAction can only involve a single source directory.
UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
FileName | CIM_FromDirectorySpecification | CIM_FileAction
SourceDirectory | CIM_FromDirectorySpecification | CIM_DirectorySpecification

## Class Methods